from Globals              import DTMLFile
from OFS.SimpleItem       import SimpleItem
from OFS.PropertyManager  import PropertyManager



manage_addActionButtonForm = DTMLFile('dtml/manage_addActionButtonForm', globals())


def manage_addActionButton(self, id, title='', REQUEST=None):
    '''manage_addActionButton(self, id, title='', REQUEST=None) --> add an ActionButton'''

    button = ActionButton(id, REQUEST)
    self._setObject(button.id, button)

    if REQUEST:
        return self.manage_main(self, REQUEST)



class ActionButton(SimpleItem, PropertyManager):
    '''ActionButton class - A class that represents one Button in the Navigation Bar'''

    meta_type = 'Action Button'

    _properties = ( {'id': 'title',  'type': 'string', 'mode': 'w', 'default': 'Action Button'},
                    {'id': 'action', 'type': 'string', 'mode': 'w', 'default': 'action'} )

    renderText = '''<input type="submit" name="%(action)s:method" value="%(title)s">'''

    manage_options = PropertyManager.manage_options + SimpleItem.manage_options
    

    def __init__(self, id, values={}, **kw):
        '''__init__(self, id, values={}, **kw) --> initalize object; return None'''

        self.id = id

        for prop in self._properties:
            if prop['id'] in values.keys():
                self._setPropValue(prop['id'], values[prop['id']])
            elif prop['id'] in kw.keys():
                self._setPropValue(prop['id'], kw[prop['id']])
            elif prop.has_key('default'):
                self._setPropValue(prop['id'], prop['default'])    


    def render(self):
        '''render(self) --> Render the class as HTML; return string'''
        return self.renderText %self.__dict__
