defaultWizardHeader = '''
<html>
  <head>
    <title><dtml-var title_or_id></title>
    <link rel="stylesheet" type="text/css" href="<dtml-var "wizardCSS.absolute_url()">">
  </head>
  <body>
'''



defaultWizardFooter = '''
  </body>
</html>
'''



defaultWizardCSS = '''
/* Smart Wizard Style Sheet
 *
 */

/* First we define the styles for the comman HTML Layout tags. */

BODY {
  font-family:           Arial, sans-serif;
  font-size:             11px;
  font-weight:           normal;
  margin:                5px;
  text-decoration:       none;
  color:                 black;  
  background-color:      white;
}

H1 {
  font-family:           Arial, sans-serif;
  font-size:             24px;
  font-weight:           bold;
  margin:                0px;
  text-decoration:       none;
  text-align:            center;
  color:                 black;
}

H2 {
  font-family:           Arial, sans-serif;
  font-size:             16px;
  font-weight:           bold;
  text-decoration:       none;
  color:                 black;
}

H3 {
  font-family:           Arial, sans-serif;
  font-size:             13px;
  font-weight:           normal;
  text-decoration:       underline;
  margin-bottom:         5px;
  color:                 black;
}

TABLE, TR, TH, TD, DIV, LI, SPAN {
  font-family:           Arial, sans-serif;
  font-size:             11px;
}

TD {
  vertical-align:        top;
}

TH {
  vertical-align:        top;
  text-alignment:        left;
  background-color:      white;
}

A:LINK, A:ACTIVE, A:VISITED, A {
  color:                 black;
}

INPUT, INPUT[TYPE=TEXT], TEXTAREA, SELECT, OPTION {
  font-family:           Arial, sans-serif;
  font-size:             10px;
  font-weight:           normal;
  text-decoration:       none;
  color:                 black;  
}

INPUT[TYPE=TEXT] {
  width:                 150px;
}

INPUT[TYPE=CHECKBOX] {
  width:                 13px;
  margin:                0px;
}

/* Here are the standard Wizard Components CSS Classes */

td.WizardBorder {
  background-color:      black;       
}

td.WizardLogo {
  background-color:      white;       
}

td.WizardOverview {
  background-color:      #FDFDE9;
}

ol.WizardOverview {
  margin-left:           2em; 
  padding-left:          0px;
}

td.WizardDescription {
  background-color:      white;
}

td.WizardMainWindow {
  background-color:      #FDFDE9;
  height:                300px;
}

td.WizardStatus {
  background-color:      #ECBCBC;      
}

td.WizardNavigationBar {
  background-color:      #C0FFC0;      
}


/* Form-specific CSS classes */

td.WizardFormLabel {
  vertical-align:        middle;      
}

td.WizardFormTextAreaLabel {
  vertical-align:        top;      
}

td.WizardFormField {
}

.WizardFormRequired {
  font-weight:           bold;
}


/* HTML Element Classes */

td.WizardBox {
  background-color:      white;
}

/* Some general Classes */

.important {
  font-weight:           bold;
}
'''



defaultWizardLogo = '''
<img src="/misc_/SmartWizard/logo" height="75" border="0">
'''



defaultWizardDescription = '''
<h1><dtml-var title></h1>
<dtml-with "Pages.objectValues()[session['activePageIndex']]">
  <dtml-var longDescription>
</dtml-with>
'''



defaultWizardOverview = '''
<ol class="WizardOverview">
  <dtml-in "Pages.objectValues()">
    <li>
      <dtml-if "_['sequence-index'] == session['activePageIndex']">
        <b><dtml-var shortDescription></b>
      <dtml-else>
        <dtml-var shortDescription>
      </dtml-if>
    </li>
  </dtml-in>
</ol>
'''


defaultWizardStatus = '''
<div>
  <dtml-with "Pages.objectValues()[session['activePageIndex']]">
    <dtml-if "_.has_key('status')">
      <dtml-var status>
    <dtml-else>
      <em>Status:</em>
      <dtml-var status missing="Nothing to report">
    </dtml-if>
  </dtml-with>
</div>
'''


defaultWizardNavigationBar = '''
<dtml-in "Pages.objectValues()[session['activePageIndex']].ActionButtons.objectValues()">
  <dtml-if "not ( (id == 'prev' and session['activePageIndex'] == 0) or
                  (id == 'next' and session['activePageIndex'] == _.len(Pages.objectIds())-1) )">
    <dtml-var render>
  </dtml-if>
</dtml-in>
'''


defaultWizardIndex = '''
<dtml-call initializeSession>

<dtml-var wizardHeader>
  <table width="&dtml-wizardWidth;" border="0" cellspacing="0" cellpadding="1">
    <tr>
      <form name="pageForm" action="<dtml-var "getCurrentPage().absolute_url()">">
      <td class="WizardBorder">
        <table width="100%" border="0" cellspacing="1" cellpadding="4">
          <tr>
            <td width="25%" class="WizardLogo">
              <dtml-var wizardLogo>
            </td>
            <td width="75%" class="WizardDescription">
              <dtml-var wizardDescription>
            </td>
          </tr>
          <tr>
            <td width="25%" class="WizardOverview">
              <dtml-var wizardOverview>
            </td>
            <td width="75%" class="WizardMainWindow">
              <dtml-var wizardMainWindow>
            </td>
          </tr>
          <tr>
            <td width="100%" colspan="2" class="WizardStatus">
              <dtml-var wizardStatus>
            </td>
          </tr>
          <tr>
            <td width="100%" colspan="2" class="WizardNavigationBar">
              <dtml-var wizardNavigationBar>
            </td>
          </tr>
        </table>
      </td>
      </form>
    </tr>
  </table>
<dtml-var wizardFooter>
'''

defaultWizardMainWindow = '''
<dtml-with "Pages.objectValues()[session['activePageIndex']]">
  <dtml-var content>
</dtml-with>
'''
