from Globals                          import DTMLFile
from OFS.DTMLMethod                   import DTMLMethod
from Products.Formulator.Form         import ZMIForm
from Products.SmartWizard.WizardPage  import WizardPage

import WizardFormPageDTML


manage_addWizardFormPageForm = DTMLFile('dtml/manage_addWizardFormPageForm', globals())


def manage_addWizardFormPage(self, id, title='', REQUEST=None):
    '''manage_addWizardFormPage(self, id, title='', REQUEST=None) --> add a Wizard Form Page;
       return None or HTML'''

    page = WizardFormPage(id, title)
    self._setObject(page.id, page)

    if REQUEST:
        return REQUEST.RESPONSE.redirect('../manage_main')



class WizardFormPage(WizardPage):
    '''WizardFormPage class - This page allows to quickly create question forms for the wizard.'''

    meta_type = 'Wizard Form Page'
    icon = 'misc_/SmartWizard/WizardPage'

    old_init = WizardPage.__init__

    def __init__(self, id, title=''):
        '''__init__(self, id, title='') --> initialize the object; return None'''
        self.old_init(id, title)

        # add initial validate method
        validate = DTMLMethod(WizardFormPageDTML.defaultValidate, __name__ = 'validate')
        self._setObject('validate', validate)

        # add initial status method
        status = DTMLMethod(WizardFormPageDTML.defaultStatus, __name__ = 'status')
        self._setObject('status', status)

        # add a Formulator form
        form = ZMIForm('form', 'Formulator Form')
        self._setObject('form', form)        

        # edit content method
        getattr(self, 'content').manage_edit(WizardFormPageDTML.defaultContent, '')

        # edit action method
        getattr(self, 'action').manage_edit(WizardFormPageDTML.defaultAction, '')
