from Globals                          import DTMLFile
from Products.PythonScripts           import PythonScript
from OFS.Folder                       import Folder
from Products.SmartWizard.WizardPage  import WizardPage

import WizardProductsPageDTML


manage_addWizardProductsPageForm = DTMLFile('dtml/manage_addWizardProductsPageForm', globals())


def manage_addWizardProductsPage(self, id, title='', REQUEST=None):
    '''manage_addWizardProductsPage(self, id, title='', REQUEST=None) --> Create a Wizard Tree Page;
       return None or HTML'''

    page = WizardProductsPage(id, title)
    self._setObject(page.id, page)

    if REQUEST:
        return REQUEST.RESPONSE.redirect('../manage_main')



class WizardProductsPage(WizardPage):
    '''WizardProductsPage class - This page allows you to check for required products to
       install something.'''

    meta_type = 'Wizard Products Page'
    icon = 'misc_/SmartWizard/WizardPage'

    old_init = WizardPage.__init__


    def __init__(self, id, title=''):
        '''__init__(self, id, title='') --> initialize the object; return None'''
        self.old_init(id, title)

        # Add Required Products Folder
        folder = Folder()
        folder.id = 'RequiredProducts'
        self._setObject(folder.id, folder)

        # initialize the original product checker
        script = PythonScript.PythonScript('checkForRequiredProducts')
        script.write(WizardProductsPageDTML.defaultCheckForRequiredProducts)
        self._setObject(script.id, script)        

        # edit content method
        getattr(self, 'content').manage_edit(WizardProductsPageDTML.defaultContent, '')

        # edit action method
        getattr(self, 'action').manage_edit(WizardProductsPageDTML.defaultAction, '')
