from Globals                          import DTMLFile
from OFS.DTMLMethod                   import DTMLMethod
from Products.TransparentFolders      import TransparentFolder
from Products.SmartSections           import SmartSection
from Products.SmartWizard.WizardPage  import WizardPage

import WizardSectionPageDTML


manage_addWizardSectionPageForm = DTMLFile('dtml/manage_addWizardSectionPageForm', globals())


def manage_addWizardSectionPage(self, id, title='', REQUEST=None):
    '''manage_addWizardProductsPage(self, id, title='', REQUEST=None) --> Create a Wizard Tree Page;
       return None or HTML'''

    page = WizardSectionPage(id, title)
    self._setObject(page.id, page)

    forms = TransparentFolder.TransparentFolder()
    forms.id = 'Forms'
    if not hasattr(self.aq_parent, 'Forms'):
        self.aq_parent._setObject('Forms', forms)
    if not self.aq_parent.hasProperty('isFormContainer'):
        self.aq_parent._setProperty('isFormContainer', 1, 'boolean')

    if REQUEST:
        return REQUEST.RESPONSE.redirect('../manage_main')



class WizardSectionPage(WizardPage):
    '''WizardSectionPage class - This class can be used, if one wants to quickly generate informational
       pages.'''

    meta_type = 'Wizard Section Page'
    icon = 'misc_/SmartWizard/WizardPage'

    old_init = WizardPage.__init__

    def __init__(self, id, title=''):
        '''__init__(self, id, title='') --> initialize the object; return None'''

        self.old_init(id, title)

        # add a Sectionulator form
        section = SmartSection.SmartSection('section', 'Flexible Smart-Section')
        self._setObject('section', section)        

        # edit content method
        getattr(self, 'content').manage_edit(WizardSectionPageDTML.defaultContent, '')

        
