from Globals                          import DTMLFile
from OFS.DTMLMethod                   import DTMLMethod
from Products.SmartWizard.WizardPage  import WizardPage

import WizardTreePageDTML


manage_addWizardTreePageForm = DTMLFile('dtml/manage_addWizardTreePageForm', globals())


def manage_addWizardTreePage(self, id, title='', REQUEST=None):
    '''manage_addWizardTreePage(self, id, title='', REQUEST=None) --> Create a Wizard Tree Page;
       return None or HTML'''

    page = WizardTreePage(id, title)
    self._setObject(page.id, page)

    if REQUEST:
        return REQUEST.RESPONSE.redirect('../manage_main')



class WizardTreePage(WizardPage):
    '''WizardTreePage class - This Page displays a tree and the user can select an object.'''

    meta_type = 'Wizard Tree Page'
    icon = 'misc_/SmartWizard/WizardPage'

    old_init = WizardPage.__init__

    _properties = ( WizardPage._properties +
                    ( {'id': 'startDir', 'type': 'string', 'mode': 'w', 'default': ''},
                      {'id': 'displayedSubObjects', 'type': 'lines', 'mode': 'w',
                       'default': ['Folder', 'Ordered Folder']} ) ) 
                    

    def __init__(self, id, title=''):
        '''__init__(self, id, title='') --> initialize the object; return None'''

        self.old_init(id, title)

        # add the default displayTree meythod
        displayTree = DTMLMethod(WizardTreePageDTML.defaultDisplayTree, __name__ = 'displayTree')
        self._setObject('displayTree', displayTree)

        # edit content method
        getattr(self, 'content').manage_edit(WizardTreePageDTML.defaultContent, '')
