from Globals                import DTMLFile
from OFS.DTMLMethod         import DTMLMethod
from Products.OrderedFolder import OrderedFolder
from ActionButton           import ActionButton

manage_addWizardPageForm = DTMLFile('dtml/manage_addWizardPageForm', globals())


def manage_addWizardPage(self, id, title='', REQUEST=None):
    '''manage_addWizardPage(self, id, title='', REQUEST=None) --> add WizardPage to a WizardPageFolder;
       return None or HTML'''

    page = WizardPage(id, title)
    self._setObject(page.id, page)

    if REQUEST:
        return REQUEST.RESPONSE.redirect('../manage_main')



class WizardPage(OrderedFolder.OrderedFolder):
    '''Wizard Page - This class represents a single screen of the wizard.

       Since this class contains most of the functionality of the SmartWizard, I have implemented a
       templating system, where developers can add more standard templates of pages they were using
       a lot. This makes the creation of new Wizards even faster and more reliable.'''

    meta_type = 'Wizard Page'
    icon = 'misc_/SmartWizard/WizardPage'

    def __init__(self, id, title=''):
        '''__init__(self, id, title='') --> initialize the object; return None'''
        
        self.id = str(id)
        self.title = title

        # initialize the properties, otherwise the 'Properties' tab will spit at you.
        # Seez, when will they fix that?
        for property in self._properties:
            try: setattr(self, property['id'], property['default'])
            except: pass

        # Create shortDescription
        short = DTMLMethod('<dtml-var title_or_id>', __name__ = 'shortDescription')
        self._setObject('shortDescription', short)        

        # Create longDescription
        long = DTMLMethod('Enter a long description here.', __name__ = 'longDescription')
        self._setObject('longDescription', long)        

        # Create Content Method
        content = DTMLMethod('Enter here the page content.', __name__ = 'content')
        self._setObject('content', content)        

        # Create Action Method
        action = DTMLMethod('<dtml-call initializeSession>\n<dtml-call goToNextPage>', __name__ = 'action')
        self._setObject('action', action)        

        # Create ActionButtons Folder
        buttons = OrderedFolder.OrderedFolder()
        buttons.selected_meta_types = ('Action Button',)
        buttons.id = 'ActionButtons'
        self._setObject('ActionButtons', buttons)

        # Create Buttons in ActionButtons Folder
        folder = getattr(self, 'ActionButtons')
        exit = ActionButton('exit', title='Exit', action='cancel')
        folder._setObject('exit', exit)
        prev = ActionButton('prev', title='Previous', action='goToPreviousPage')
        folder._setObject('prev', prev)
        next = ActionButton('next', title='Next', action='action')
        folder._setObject('next', next)








