from Globals import DTMLFile
from Products.OrderedFolder.OrderedFolder import OrderedFolder


manage_addWizardPageFolderForm = DTMLFile('dtml/manage_addWizardPageFolderForm', globals())


def manage_addWizardPageFolder(self, id, title='', REQUEST=None):
    '''manage_addWizardPageFolder(self, id, title='', REQUEST=None) --> add a Wizard Page Folder;
       return None or HTML'''

    folder = WizardPageFolder(id, title)
    self._setObject(folder.id, folder)

    if REQUEST:
        return self.manage_main(self, REQUEST, update_menu=1)



class WizardPageFolder(OrderedFolder):
    '''WizardPageFolder class - a container for the Wizard Pages. It also serves as a reistration
       tool for the various Wizard Page Templates.'''

    meta_type = 'Wizard Page Folder'
    icon = 'misc_/SmartWizard/WizardPageFolder'



def registerWizardPage(ElementClass, constructors=()):
    '''registerWizardPage(ElementClass, constructors=()) --> Register a new Page Template; return None'''
    dict = { 'name'   : ElementClass.meta_type,
             'action' : 'manage_addProduct/SmartSections/' + constructors[0].__name__ }

    for constructor in constructors:
        setattr(WizardPageFolder, constructor.__name__, constructor)

    WizardPageFolder.meta_types = WizardPageFolder.meta_types + (dict,)
    WizardPageFolder.selected_meta_types = WizardPageFolder.selected_meta_types + (dict['name'],)




